﻿using System.ComponentModel.DataAnnotations;

namespace MVC3_Ajax_Form_jQuery_Validation.Models
{
    public class ValidUserNameAttribue : ValidationAttribute
    {
        public override bool IsValid(object value)
        {
            return (value != null && value.ToString() == "Bob");
        }
    }

    public class ValidationModel
    {
        [Required]
        [StringLength(8, MinimumLength = 3)]
        [ValidUserNameAttribue(ErrorMessage = "User name != 'Bob'")]
        [Display(Name = "User Name")]
        public string UserName { get; set; }
    }
}